package com.malk.service.dingtalk.impl;

import com.malk.server.dingtalk.DDConf;
import com.malk.server.dingtalk.DDR_New;
import com.malk.service.dingtalk.DDClient_CRM;
import com.malk.utils.UtilMap;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.Map;

@Slf4j
@Service
public class DDImplClient_CRM implements DDClient_CRM {

    @Override
    public DDR_New getObjectMetaFromPersonalCustomers(String accessToken, String relationType) {
        Map param = UtilMap.putNotEmpty(UtilMap.empty(), "relationType", relationType);
        return DDR_New.doGet("https://api.dingtalk.com/v1.0/crm/personalCustomers/objectMeta", DDConf.initTokenHeader(accessToken), param);
    }
}
